<?php
include 'conexion1.php';

$conexion = new mysqli($servidor, $nombre, $clave, $base);

$cliente_nombre = $_POST['cliente_nombre'];
$cliente_email = $_POST['cliente_email'];
$cliente_direccion = $_POST['cliente_direccion'];
$fecha_actual = date('Y-m-d'); // Asignar la fecha actual

$producto_nombres = $_POST['producto_nombre'];
$cantidades = $_POST['cantidad'];
$precios_unitarios = $_POST['precio_unitario'];

$total = 0;
foreach ($cantidades as $key => $cantidad) {
    $total += $cantidad * $precios_unitarios[$key];
}

// Insertar pedido
$sql = "INSERT INTO pedidos (cliente_nombre, cliente_email, cliente_direccion, total, fecha) VALUES (?, ?, ?, ?, ?)";
$stmt = $conexion->prepare($sql);
$stmt->bind_param("sssds", $cliente_nombre, $cliente_email, $cliente_direccion, $total, $fecha_actual);
$stmt->execute();
$pedido_id = $stmt->insert_id;

// Insertar detalles del pedido
foreach ($producto_nombres as $key => $producto_nombre) {
    $cantidad = $cantidades[$key];
    $precio_unitario = $precios_unitarios[$key];
    
    $sql_detalle = "INSERT INTO detalles_pedido (pedido_id, producto_nombre, cantidad, precio_unitario) VALUES (?, ?, ?, ?)";
    $stmt_detalle = $conexion->prepare($sql_detalle);
    $stmt_detalle->bind_param("isid", $pedido_id, $producto_nombre, $cantidad, $precio_unitario);
    $stmt_detalle->execute();
}

header("Location: indexpedido.php");
?>